package com.dsic.gj_erp.bean;

import java.io.Serializable;

/**
 * @author Jason.zhang
 * @email jason_56@outlook.com
 * @Descrption 统一http restful response
 */
public class ResultBean<T> implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = -7165615593336091195L;

    private String message;
    private boolean success;
    private int status;
    private T data;


    public String getMessage() {
        return message;
    }

    public void setMessage(String message) {
        this.message = message;
    }
    public boolean isSuccess() {
        return success;
    }

    public void setSuccess(boolean success) {
        this.success = success;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    public T getData() {
        return data;
    }

    public void setData(T data) {
        this.data = data;
    }

    public ResultBean(boolean success, int status, String message) {
        this.success = success;
        this.status = status;
        this.message=message;
    }


    public ResultBean() {
        this.success = true;
        this.status = 10000;
    }

    public ResultBean(T data) {
        this.success = true;
        this.status = 10000;
        this.data = data;
    }

    public ResultBean(String message, T data) {
        this.success = true;
        this.status = 10000;
        this.message =message;
        this.data = data;
    }

}