package com.dsic.gj_erp.bean.jcsj;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * <p>
 * 
 * </p>
 *
 * @author xn
 * @since 2023-09-20
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("DM_BCHXJBP")
@ApiModel(value="DmBchxjbp对象", description="")
public class DmBchxjbp implements Serializable {

    private static final long serialVersionUID=1L;

    @ApiModelProperty(value = "船号")
    @TableField("DC_CH")
    private String dcCh;

    @ApiModelProperty(value = "船名")
    @TableField("DC_CM")
    private String dcCm;

    @ApiModelProperty(value = "批量")
    @TableField("DC_FD")
    private String dcFd;

    @ApiModelProperty(value = "批量")
    @TableField("DC_PL")
    private String dcPl;

    @ApiModelProperty(value = "组立")
    @TableField("DC_ZL")
    private String dcZl;

    @ApiModelProperty(value = "材料名称")
    @TableField("CLMC")
    private String clmc;

    @ApiModelProperty(value = "原图纸编号")
    @TableField("TZBH1")
    private String tzbh1;

    @TableField("SHZL")
    private Double shzl;

    @TableField("ZYRQ")
    private String zyrq;

    @TableField("GCBH")
    private String gcbh;

    @TableField("HXCD")
    private BigDecimal hxcd;

    @TableField("TXBL")
    private String txbl;

    @TableField("ZDRQ")
    private String zdrq;

    @TableField("YLZD3")
    private String ylzd3;

    @TableField("WPGG")
    private String wpgg;

    @TableField("LJSL")
    private BigDecimal ljsl;

    @TableField("DC_LPH")
    private String dcLph;

    @TableField("YLZD6")
    private Double ylzd6;

    @TableField("TZBH")
    private String tzbh;

    @TableField("CLZL")
    private Double clzl;

    @TableField("HXFL")
    private String hxfl;

    @TableField("XTRQ")
    private String xtrq;

    @TableField("WPXH")
    private String wpxh;

    @TableField("YLZD1")
    private String ylzd1;

    @TableField("YLZD4")
    private BigDecimal ylzd4;

    @TableField("YCLZL")
    private Double yclzl;

    @TableField("BZ")
    private String bz;

    @TableField("YLZD5")
    private Double ylzd5;

    @TableId(value = "HXBH", type = IdType.ASSIGN_UUID)
    private String hxbh;

    @TableField("YLZL")
    private Double ylzl;

    @TableField("ZDR")
    private String zdr;

    @TableField("YLBH")
    private String ylbh;

    @TableField("WGRQ")
    private String wgrq;

    @TableField("YLZD2")
    private String ylzd2;


}
